Cannoli_2.12: Core 0.14.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
-  object Cannoli

  Implicits on Cannoli function source data sets.

  Implicits on Cannoli function source data sets.

  Definition Classes
    cannoli
- CannoliAlignmentDataset
- CannoliFeatureDataset
- CannoliFragmentDataset
- CannoliReadDataset
- CannoliSequenceDataset
- CannoliVariantContextDataset

c

org.bdgenomics.cannoli.Cannoli

# CannoliAlignmentDataset 

###

#### implicit class CannoliAlignmentDataset extends AnyRef

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CannoliAlignmentDataset
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new CannoliAlignmentDataset(alignments: AlignmentDataset)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def alignWithBowtie2(args: SingleEndBowtie2Args): AlignmentDataset

   Align the unaligned single-end reads in this AlignmentDataset with Bowtie 2 via Cannoli.

   Align the unaligned single-end reads in this AlignmentDataset with Bowtie 2 via Cannoli.

   args

     Bowtie 2 function arguments.

   returns

     AlignmentDataset.

5.  def alignWithMinimap2(args: Minimap2Args): AlignmentDataset

   Align the unaligned single-end reads in this AlignmentDataset with Minimap2 via Cannoli.

   Align the unaligned single-end reads in this AlignmentDataset with Minimap2 via Cannoli.

   args

     Minimap2 function arguments.

   returns

     AlignmentDataset.

6.  def alignWithStar(args: SingleEndStarArgs): AlignmentDataset

   Align the unaligned single-end reads in this AlignmentDataset with STAR-Mapper via Cannoli.

   Align the unaligned single-end reads in this AlignmentDataset with STAR-Mapper via Cannoli.

   args

     STAR-Mapper function arguments.

   returns

     AlignmentDataset.

7.  def alignWithUnimap(args: UnimapArgs): AlignmentDataset

   Align the unaligned single-end reads in this AlignmentDataset with Unimap via Cannoli.

   Align the unaligned single-end reads in this AlignmentDataset with Unimap via Cannoli.

   args

     Unimap function arguments.

   returns

     AlignmentDataset.

8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def callVariantsWithBcftoolsMpileup(args: BcftoolsMpileupArgs, stringency: ValidationStringency = ValidationStringency.LENIENT): VariantContextDataset

   Call variants from the alignments in this AlignmentDataset with bcftools mpileup via Cannoli.

   Call variants from the alignments in this AlignmentDataset with bcftools mpileup via Cannoli.

   args

     Bcftools mpileup function arguments.

   stringency

     Validation stringency. Defaults to ValidationStringency.LENIENT.

   returns

     VariantContextDataset.

10.  def callVariantsWithFreebayes(args: FreebayesArgs, stringency: ValidationStringency = ValidationStringency.LENIENT): VariantContextDataset

    Call variants from the alignments in this AlignmentDataset with Freebayes via Cannoli.

    Call variants from the alignments in this AlignmentDataset with Freebayes via Cannoli.

    args

      Freebayes function arguments.

    stringency

      Validation stringency. Defaults to ValidationStringency.LENIENT.

    returns

      VariantContextDataset.

11.  def callVariantsWithSamtoolsMpileup(args: SamtoolsMpileupArgs, stringency: ValidationStringency = ValidationStringency.LENIENT): VariantContextDataset

    Call variants from the alignments in this AlignmentDataset with samtools mpileup via Cannoli.

    Call variants from the alignments in this AlignmentDataset with samtools mpileup via Cannoli.

    args

      Samtools mpileup function arguments.

    stringency

      Validation stringency. Defaults to ValidationStringency.LENIENT.

    returns

      VariantContextDataset.

12.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from AnyRef

### Inherited from Any

### Ungrouped